import { initRules, initParams } from "@/utils/init.js";

export default function useData(prop) {
  const { FormColumns, TabColumns } = prop;
  const size = "mini";
  const width = "100%";
  const visible = false;
  const loading = false;
  const rules = initRules(FormColumns);
  const params = initParams([...TabColumns, ...FormColumns]);
  const tabName = "priceApplyItems";
  return {
    size,
    width,
    visible,
    loading,
    rules,
    params,
    tabName,
    initParams,
    TabColumns,
    FormColumns,
  };
}
