// import {
//   initColumns,
//   initDicts,
// } from "@/utils/init/index.js";

export const TableColumns = [
  { item:{ 
      key: "puOrgName", title: "采购组织", inputType: "Input",},
    attr:{
      isHidden:true,
    },
  },
  {
    item:{ 
      key: "billType",
      title: "订单类型",
      // inputType: "Select",
      // referName: "sys_order_type",
    },
    attr:{
      isHidden:true,
      is: "el-dict-tag",
      dictName: "sys_order_type",
    },
  },
  { item:{key: "code", title: "订单编号",  inputType: "Input",width:150, },
    attr:{
      isHidden:true,
    },
  },
  {
    item:{
      key: "status",
      title: "单据状态",
      width:80,
      // inputType: "Select",
      // referName: "documents_status", // 字典名
    },
    attr:{
      is: "el-dict-tag",
      dictName: "documents_status",
      isHidden:true,
    },
  },
  { item:{key: "billDate", title: "订单日期",width:100,},
    attr:{
      isHidden:true,
    },
  },
  { item:{key: "supplierName", title: "供应商", inputType: "Input",},
  attr:{
    isHidden:true,
  },
 },
  { item:{key: "paymentAgreementName", title: "付款协议",},
  attr:{
    isHidden:true,
  },
 },
  {
    item:{
      key: "source",
      title: "订单来源",  
      // inputType: "Select",
      // referName: "order_source", // 字典名
      width:80,
    },
    attr:{
      is: "el-dict-tag",
      dictName: "order_source",
      isHidden:true,
    },
  },
  // { item:{key: "paymentAgreement", title: "付款协议" },
  
  { item:{key: "buyerName", title: "采购员" ,width:100,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "puDeptName", title: "采购部门",},
  attr:{
    isHidden:true,
  },

},
  { item:{key: "customerName", title: "收货客户" ,},
  attr:{
    isHidden:true,
  },
},
  // { 
  //   key: "isDeliver", 
  //   title: "是否发货",
  //   inputType: 'Checkbox',
  //   width:80,
  //  },
  {
    item:{
      key: "isArrival",
      title: "到货超期",
      // inputType: 'Checkbox',
      width:80,
    },
    attr:{
      is: "el-checkbox",
      'true-label':"Y",
      'false-label':"N",
      disabled:true,
      isHidden:true,
    },
  },
  {
    item:{key: "isBack",
    title: "退货",
    // inputType: 'Checkbox',
    width:80,},
    attr:{
      is: "el-checkbox",
      'true-label':"Y",
      'false-label':"N",
      disabled:true,
      isHidden:true,
    },
  },
  // { item:{key: "freezeCause", title: "冻结原因" },
  { item:{key: "qty", title: "总数量",width:100,},
  attr:{
    isHidden:true,
  },
 },
  { 
    item:{
      key: "money", 
      title: "价税合计",
      width:100,
      // precision:2,
    },
    attr:{
      is: "el-computed-input-v2",
      formatter: (prop) => {
        return prop ? (prop * 1).toFixed(2) : prop;
      },
      isHidden:true,
    },
 },
  // {
  //   key: "isMarketing",
  //   title: "已协同生成销售订单",
  //   inputType: 'Checkbox',
  // },
  // {
  //   key: "isMarketingSource",
  //   title: "由销售订单协同生成",
  //   inputType: 'Checkbox',
  // },
  { item:{key: "personalName", title: "人员" ,width:120,},
  attr:{
    isHidden:true,
  },
},
  // { item:{key: "isSendSrm", title: "是否同步SRM" },
  {
    item:{key: "isInvoice",
    title: "发票标识",
    // inputType: 'Checkbox',
    width:80,},
    attr:{
      is: "el-checkbox",
      'true-label':"Y",
      'false-label':"N",
      disabled:true,
      isHidden:true,
    },

  },
  { 
    item:{
      key: "rebateMoney", 
      title: "订单使用返利金额" ,
      // precision:2,
    },
    attr:{
      is: "el-computed-input-v2",
          formatter: (prop) => {
            return prop ? (prop * 1).toFixed(2) : prop;
          },
      isHidden:true,
    },
},
  { item:{key: "deductionMoney", title: "订单抵扣余款金额" ,precision:2,},
  attr:{
    is: "el-computed-input-v2",
        formatter: (prop) => {
          return prop ? (prop * 1).toFixed(2) : prop;
        },
    isHidden:true,
  },
},
  // { item:{key: "warehouse", title: "WMS入库仓库" },
  { item:{key: "warehouseName", title: "收货仓库" ,},
  attr:{
    isHidden:true,
  },
}, //WMS入库仓库名称
  { item:{key: "goodsAllocationName", title: "货位",},
  attr:{
    isHidden:true,
  },
 },
  { item:{key: "customerDeptName", title: "客户部门" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "supplierContactsName", title: "供应商业务联系人",},
  attr:{
    isHidden:true,
  },

},
  {
    item:{key: "isUrgency",
    title: "紧急程度",
    // inputType: 'Checkbox',
    width:80,},
    attr:{
      is: "el-checkbox",
      'true-label':"Y",
      'false-label':"N",
      disabled:true,
      isHidden:true,
    },

  },
  { item:{key: "agentName", title: "代理人" ,},
  attr:{
    isHidden:true,
  },
},
  {
    item:{key: "isClose",
    title: "最终关闭",
    // inputType: 'Checkbox',
    width:80,},
    attr:{
      is: "el-checkbox",
      'true-label':"Y",
      'false-label':"N",
      disabled:true,
      isHidden:true,
    },
  },
  { item:{key: "applyPaymentMoney", title: "累计付款申请金额", precision:2,},
  attr:{
    is: "el-computed-input-v2",
        formatter: (prop) => {
          return prop ? (prop * 1).toFixed(2) : prop;
        },
    isHidden:true,
  },
},
  { item:{key: "paymentMoney", title: "累计付款金额" ,precision:2,},
  attr:{
    is: "el-computed-input-v2",
        formatter: (prop) => {
          return prop ? (prop * 1).toFixed(2) : prop;
        },
    isHidden:true,
  },
},
  { item:{key: "invoiceMoney", title: "发票金额" ,precision:2,},
  attr:{
    is: "el-computed-input-v2",
        formatter: (prop) => {
          return prop ? (prop * 1).toFixed(2) : prop;
        },
    isHidden:true,
  },
},
  // { item:{key: "supplierPersonal", title: "供应商业务员" },
  { item:{key: "supplierPersonalName", title: "供应商业务员", },
  attr:{
    isHidden:true,
  },
 },
  { item:{key: "marketingCode", title: "销售订单号" ,},
  attr:{
    isHidden:true,
  },
},
  // { item:{key: "flowId", title: "OA流程ID" },
  { item:{key: "oaDemandNo", title: "OA需求单号" ,},
  attr:{
    isHidden:true,
  },
},
  { 
    item:{key: "erpOrderCode", 
    title: "erp订单编号", },
    attr:{
      isHidden:true,
    },

  },
  { item:{key: "address", title: "收货地址" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "contacts", title: "收获联系人" ,},
  attr:{
    isHidden:true,
  },
},
  {
    item:{key: "isSendWms",
    title: "已同步WMS",
    // inputType: 'Checkbox',
    width:120,},
    attr:{
      is: "el-checkbox",
      'true-label':"Y",
      'false-label':"N",
      disabled:true,
      isHidden:true,
    },
  },
  { item:{key: "retReasonName", title: "退换原因" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "closeTime", title: "最终关闭日期" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "processTypeName", title: "处理方式" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{
      key: "isEnd", title: "整单关闭标识" ,
      // inputType: "Checkbox",
    },
  attr:{
    is: "el-checkbox",
    'true-label':"Y",
    'false-label':"N",
    disabled:true,
    isHidden:true,
  },
},
  { item:{key: "projectNowName", title: "在建工程项目" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "operatingItemsName", title: "经营性项目" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "isArrivalReson", title: "到货超期原因" ,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "createByName", title: "创建人" ,width:100,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "createTime", title: "制单日期/创建时间",},
  attr:{
    isHidden:true,
  },
 },
  { item:{key: "approveTime", title: "提交时间" ,width:100,},
   attr:{
    isHidden:true,
  },
},
  { item:{key: "approverName", title: "审批人" ,width:100,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "approverFinishTime", title: "审批时间",width:100, },
  attr:{
    isHidden:true,
  },
},
  { item:{key: "updateByName", title: "更新人" ,width:100,},
  attr:{
    isHidden:true,
  },
},
  { item:{key: "updateTime", title: "最后修改时间",},
  attr:{
    isHidden:true,
  },
 },
  { item:{key: "remark", title: "备注" ,},
  attr:{
    isHidden:true,
  },
},
  // { item:{key: "midOrderNo", title: "中台采购订单号" },
];

export const TabColumns = [
  {
    title: '物料信息',
    key: 'puOrderItemList',
    tableColumns: [
      { 
        item:{
          key: "rowNo", title: "行号",width:80,},
        attr:{
          isHidden:true,
        },
      },
      // { item:{key: "orderId", title: "采购订单ID" },
      { item:{key: "demandCode", title:"采购需求单号"},
      attr:{
        isHidden:true,
      },},
      { item:{

        key: "contractNo",
        title:"合同编号",
      },
      attr:{
        isHidden:true,
      },
      },
      { item:{key: "material", title: "物料ID" },
      attr:{
        isHidden:true,
      },},
      { item:{key: "materialName", title: "物料名称",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "materialCode", title: "物料编码",  },
      attr:{
        isHidden:true,
      },},
      // { item:{key: "materialClassify", title: "物料分类",  },},
      { item:{key: "materialManufacturersCode", title: "厂家物料编码",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "specification", title: "规格",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "model", title: "型号",width: 120  },
      attr:{
        isHidden:true,
      },},
      {
        item:{
          key: "isMedcine",
          title: "医药物料",
          // inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      { item:{key: "manufacturerName", title: "生产厂家代理人",  },
      attr:{
        isHidden:true,
      },},
      { 
        item:{
          key: "isDrug", 
          title: "物料药品属性",
          inputType: 'Checkbox',
          width:80, 
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      { item:{key: "unitName", title: "单位", width: 120 },
      attr:{
        isHidden:true,
      },},
      { item:{key: "qty", title: "数量",width:120, },
      attr:{
        isHidden:true,
      },},
      { item:{key: "currencyName", title: "币种" },
      attr:{
        isHidden:true,
      },},
      { 
        item:{key: "taxPrice", title: "含税单价" ,width:120,precision:2,},
        attr:{
          is: "el-computed-input-v2",
              formatter: (prop) => {
                return prop ? (prop * 1).toFixed(2) : prop;
              },
        },
      },
      { item:{key: "money", title: "价税合计" ,width:120, precision:2,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "tax", title: "税率" ,width:120, precision:2,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "taxDeductMoneya", title: "折扣金额", width:120, precision:2, },
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "arrivalQty", title: "已到货数量" , width:120,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "unarrivedQty", title: "未到货数量" , width:120,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "price", title: "无税单价" , idth:120, precision:2,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "notaxMoney", title: "无税金额" , width:120, precision:2,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "priceSource", title: "价格目录ID" },
      attr:{
        isHidden:true,
      },},
      {
        item:{
          key: "isStorage",
          title: "入库关闭",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      {
        item:{
          
          key: "isInvoice",
          title: "开票关闭",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      {
        item:{
          
          key: "isArrival",
          title: "到货关闭",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      {
        item:{
          
          key: "isPayment",
          title: "付款关闭",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      {
        item:{
          
          key: "isGift",
          title: "赠品",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      { item:{key: "warehouse", title: "收货仓库",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "place", title: "收货地点",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "address", title: "收货地址",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "productBatch", title: "产品批号",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "manufactureDate", title: "生产日期",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "efficacyLoseDate", title: "有效期至/失效日期",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "approvalNumber", title: "批准文号",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "registration", title: "注册证号",  },
      attr:{
        isHidden:true,
      },},
      {
        item:{
          
          key: "storageCondition",
          title: "存储条件",
          // inputType: "Select",
          // referName: "sys_storage_condition", // 字典名
        },
        attr:{
          is: "el-dict-tag",
          dictName: "sys_storage_condition",
        }
      },
      {
        item:{
          
          key: "carriageCondition",
          title: "运输条件",
          // inputType: "Select",
          // referName: "sys_conditions_carriage", // 字典名
        },
        attr:{
          is: "el-dict-tag",
          dictName: "sys_conditions_carriage",
        }
      },
      {
        item:{
          
          key: "isBatchLock",
          title: "批号锁定标识",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      {
        item:{
          
          key: "isReplenishment",
          title: "补单标识",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      { 
        item:{
          
          key: "isUrgency", 
          title: "紧急标识" ,
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
      },
      { item:{key: "originalQty", title: "原始数量" ,width:120,},
      attr:{
        isHidden:true,
      },},
      { item:{key: "originalMoney", title: "原始金额" ,width:120,precision:2,},
      attr:{
        is: "el-computed-input-v2",
            formatter: (prop) => {
              return prop ? (prop * 1).toFixed(2) : prop;
            },
      },},
      { item:{key: "reservedQty", title: "预留数量",width:120, },
      attr:{
        isHidden:true,
      },},
      { item:{key: "reservedPeriod", title: "预留周期",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "taxDeductClassify", title: "扣税类别" },
      attr:{
        isHidden:true,
      },},
      { item:{key: "exchangeRate", title: "折本汇率" ,width:100,},
      attr:{
        isHidden:true,
      },},
      { item:{key: "directProductBatch", title: "直运产品批号",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "discountRule", title: "折扣规则编码",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "source", title: "上游单据号",  },
      attr:{
        isHidden:true,
      },},
      // { item:{key: "sourceId", title: "上游单据ID",  },},
      { item:{key: "arrivalDatePlan", title: "计划到货日期",  },
      attr:{
        isHidden:true,
      },},
      {
        item:{
          
          key: "priceType",
          title: "价格类型",
          // inputType: "Select",
          // referName: "sys_price_type", // 字典名
        },
        attr:{
          is: "el-dict-tag",
          dictName: "sys_price_type",
        }
      },
      { 
        item:{
          
          key: "isDistributionPrice", 
          title: "配送价",
          inputType: 'Checkbox',
          width:80,
        },
        attr:{
          is: "el-checkbox",
          'true-label':"Y",
          'false-label':"N",
          disabled:true,
        },
       },
      { item:{key: "materialClassifyOneName", title: "物料一级分类",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "materialClassifyTwoName", title: "物料二级分类",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "materialClassifyThreeName", title: "物料三级分类",  },
      attr:{
        isHidden:true,
      },},
      { item:{key: "materialClassifyFourName", title: "物料四级分类",  },
      attr:{
        isHidden:true,
      },},
      // { item:{key: "createByName", title: "创建人",width:100, },
      // { item:{key: "updateByName", title: "更新人" ,width:100,},
      
    ]
  },
  {
    title: '执行结果',
    key: 'puOrderExecuteList',
    tableColumns: [
      // { item:{key: "orderId", title: "采购订单ID",  },
      { item:{key: "rowno", title: "行号",width:80, },
      attr:{
        isHidden:true,
      },},
      { item:{key: "material", title: "物料ID", },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "materialName", title: "物料名称", },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "specification", title: "规格" },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "qty", title: "数量",width:120, },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "stroageQty", title: "累计到货主数量",width:120,  },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "stockQty", title: "累计入库主数量",width:120,  },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "invoiceQty", title: "累计开票主数量",width:120,  },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "rollbackQty", title: "累计退货主数量",width:120,  },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "backStockQty", title: "累计退库主数量",width:120,  },
     attr:{
      isHidden:true,
    },
  },
      { item:{key: "floatQty", title: "未到货数量" },
     attr:{
      isHidden:true,
    },
  },
      // { item:{key: "createByName", title: "创建人", },
      // { item:{key: "updateByName", title: "更新人", },
    ]
  },
];

// export const SearchColumns = TableColumns.filter((element) => element.search);
export const SearchColumns = [
  {
    key: "source",
    title: "订单来源",  
    inputType: "Select",
    referName: "order_source", // 字典名
    clearable:true,
    attr:{
      is: "el-dict-tag",
      dictName: "order_source",
    },
  },
  {
    key: "code",
    title: "订单编号",  
    inputType: "Input",
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "date",
    title: "订单日期",  
    type: "daterange",
    inputType: "DatePicker",
    unlinkPanels: true,
    rangeSeparator: "至",
    valueFormat: "yyyy-MM-dd",
    endPlaceholder: "结束日期",
    startPlaceholder: "开始日期",
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "status",
    title: "单据状态",
    inputType: "Select",
    referName: "documents_status", // 字典名
    clearable:true,
    attr:{
      is: "el-dict-tag",
      dictName: "documents_status",
    },
  },
  { 
    key: "supplierName", 
    title: "供应商", 
    inputType: "PopoverSelect",
    valueKey: "id",
    referName: "SUPPLIER_PARAM",
    dataMapping: {
      // supplier: "id",
      supplierName: "name",
    },
    queryParams: () => ({}),
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "puOrgIds",
    title: "采购组织",
    inputType: "PopoverSelect",
    multiple:true,
    valueKey: "id",
    referName: "ORG_PARAM",
    dataMapping: {},
    queryParams: () => ({}),
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "materialCode",
    title: "物料编码",
    inputType: "PopoverSelect",
    valueKey: "code",
    referName: "MATERIAL_PARAM",
    dataMapping: {},
    queryParams: () => ({}),
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "materialName",
    title: "物料名称",
    inputType: "PopoverSelect",
    valueKey: "name",
    referName: "MATERIAL_PARAM",
    dataMapping: {},
    queryParams: () => ({}),
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  { 
    key: "deliveryStatus",
    title: "erp发送状态", 
    inputType: "Select",
    referName: "order_delivery_status", // 字典名
    clearable:true,
    attr:{
      is: "el-dict-tag",
      dictName: "order_delivery_status",
    },
  },
  { 
    key: "contractNo",
    title: "合同号", 
    inputType: "Input",
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "projectNowName",
    title: "在建工程项目",
    inputType: "PopoverSelect",
    require: true,
    valueKey: "name",
    referName: "PROJECT_PARAM",
    dataMapping: {},
    queryParams: () => ({}),
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "buyers",
    title: "采购员",
    inputType: "PopoverSelect",
    multiple:true,
    valueKey: "code",
    referName: "CONTACTS_PARAM",
    dataMapping: {},
    queryParams: () => ({}),
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  {
    key: "billTypes",
    title: "订单类型",
    inputType: "Select",
    referName: "sys_order_type", // 字典名
    multiple:true,
    tags:true,
    clearable:true,
    attr:{
      is: "el-dict-tag",
      dictName: "sys_order_type",
    },
  },
  { 
    key: "demandCode",
    title: "采购需求单号", 
    inputType: "Input",
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
  { 
    key: "isDrug",
    title: "物料药品属性", 
    inputType: "SelectCheck",
    clearable:true,
    attr: {
      is: "el-input",
    },
  },
];

// const NewColumns = initColumns(TableColumns);
// const NewSearchColumns = initColumns(SearchColumns);
// const NewTabColumns = TabColumns.map((element) => ({
//   ...element,
//   tableColumns: initColumns(element.tableColumns),
// }));
// 
// export const SelectColumns = NewColumns.filter(column => column.inputType === 'Select')

// NewTabColumns.forEach(column => {
//   SelectColumns.push(...column.tableColumns.filter(cColumn => cColumn.inputType === 'Select'))
// });

// SelectColumns.push(...NewSearchColumns.filter(column => column.inputType === 'Select'))
