import { initRules, initParams } from "@/utils/init/index.js";

export default function useData(prop) {
  const { FormColumns } = prop;
  const size = "mini";
  const width = "100%";
  const visible = false;
  const loading = false;
  const formColumns = FormColumns;
  const rules = initRules(FormColumns);
  const params = initParams(FormColumns);
  return {
    size,
    width,
    visible,
    loading,
    formColumns,
    rules,
    params,
  };
}
