export const FormColumns = [
  {
    key: "puOrgName",
    title: "采购组织",
  },
  { key: "materialName", title: "物料" },
  { key: "materialCode", title: "物料编码" },
  { key: "materialClassifyName", title: "物料一级分类" },
  { key: "manufacturerName", title: "生产厂家" },
  { key: "model", title: "物料型号" },
  { key: "specification", title: "物料规格" },
  {
    key: "supplierName",
    title: "供应商",
  },
  { key: "customerName", title: "客户" },
  {
    key: "taxPrice",
    title: "主含税单价",
    formatter: (prop) => (prop ? prop.toFixed(6) : null),
  },
  { key: "unitName", title: "主单位" },
  { key: "effectiveDate", title: "价格生效日期" },
  { key: "endDate", title: "价格失效日期" },
  { key: "buyerName", title: "采购员" },
  { key: "source", title: "来源单据编号" },
  {
    key: "convertRate",
    title: "换算率",
    formatter: (prop) => (prop ? prop.toFixed(6) : null),
  },
  {
    key: "status",
    title: "有效状态",
    inputType: "Select",
    referName: "is_effective",
    width: 100,
  },
  {
    key: "enableStatus",
    title: "启用状态",
    inputType: "Select",
    referName: "is_effective",
    width: 100,
  },
  {
    key: "materialStatus",
    title: "物料启用状态",
    inputType: "Select",
    referName: "is_effective",
  },
  {
    key: "isDistribution",
    title: "配送价",
    inputType: "Select",
    referName: "is_effective",
  },
  {
    key: "priceType",
    title: "价格类型",
    inputType: "Select",
    referName: "sys_price_type",
  },
  { key: "demandCode", title: "采购需求单号" },
  { key: "expiryEarly", title: "效期预警" },
  { key: "priority", title: "含税/无税优先" },
  { key: "createByName", title: "创建人" },
  { key: "updateByName", title: "更新人名称" },
];

export default { FormColumns };
